Last Comment Bug 712118 - Form autocomplete is broken because we're not receiving compositionupdate events
: Form autocomplete is broken because we're not receiving compositionupdate events
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P2 normal (vote)
: Firefox 12
Assigned To: Alex Pakhotin (:alexp)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-19 13:23 PST by :Margaret Leibovic
Modified: 2012-01-06 23:11 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
Fix (1.58 KB, patch)
2011-12-20 17:09 PST, Alex Pakhotin (:alexp)
blassey.bugs: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description :Margaret Leibovic 2011-12-19 13:23:08 PST
After recent IME work landed, we don't dispatch composition events, but we depend on that in FormAssistant to show autocomplete suggestions.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-20 06:24:50 PST
Alex - Can you see if we should still be firing composition events. If not, should we be firing other key events and/or input events?
Comment 2 Alex Pakhotin (:alexp) 2011-12-20 10:10:32 PST
We do fire the NS_TEXT_TEXT event, but there is no corresponding nsIDOM* object, so it's visible as a simple UIEvent in JS.

I've been looking at an option to fire composition events. They trigger some input handling logic, which causes unwanted side-effects with this new approach. I'll make another try, as apparently composition events are important.
Comment 3 Alex Pakhotin (:alexp) 2011-12-20 17:09:42 PST
Created attachment 583347 [details] [diff] [review]
Fix

This patch fixes the issue.
I don't really like this approach - it causes NS_COMPOSITION_START and NS_COMPOSITION_END events to be sent on every character, but it works, so can be used, at least as a short-term solution.
I'll continue looking into this.
Comment 5 Ed Morley [:emorley] 2011-12-21 04:29:37 PST
https://hg.mozilla.org/mozilla-central/rev/5f5815c42a83

Note You need to log in before you can comment on or make changes to this bug.